Subject: Re: Switching from CVS to GIT

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 15 Oct 2007 19:12:42 -0400

Johannes Sixt <[email-masked]> wrote:
> FWIW, I'm using the MinGW port from cmd.exe, i.e. not from a posix shell, 
> on a *production* repository. gitk and git-gui work. Not all operations 
> that I regularly use are available[*] via the GUIs, like git-rebase or 
> non-fast-forwarding push, so the use of the command line is needed from 
> time to time.

Rebase in git-gui is starting to be developed.  But its still not even
close to something I can use, let alone that I would be willing to ship
to another person for testing.

Force push (non-fast-forwarding push) is in git-gui.git's master
branch now as part of the 0.9.x series.  There's a new checkbox
option in the push dialog to trigger adding --force to git-push
command line.

> Unfortunately, "Fetch" does not yet work[*] from within git-gui, so you 
> have to fall back to git-fetch on the command line.
> 
> [*] Note the distinction between "not available" and "does not work".

What's broken?  Is this that Git protocol dump showing up in
git-gui's console window thing?

Are you using the C based fetch that is in git.git's next branch,
or the shell script based one that is in master?  Which Tcl/Tk
version are you using to run git-gui?

-- 
Shawn.